com.trendmicro.ds.appcontrol.rest.object.drift

## Class ApplicationDetail

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.ApplicationDetail

- All Implemented Interfaces:
    java.lang.Comparable<ApplicationDetail>

      public class ApplicationDetail
      extends java.lang.Object
      implements java.lang.Comparable<ApplicationDetail>

  Details for an application, identified by a hash value. This can represent one file or multiple files, potentially with different file names, install paths, and metadata.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationDetail()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ApplicationDetail o)`
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getCount()`
    `java.lang.String` | `getFileDescription()`
    `java.lang.String` | `getFileName()`
    `java.lang.Long` | `getFileSize()`
    `java.lang.String` | `getFileVersion()`
    `java.lang.String` | `getInstallPath()`
    `java.lang.String` | `getProductName()`
    `java.lang.String` | `getProductVersion()`
    `java.lang.String` | `getVendorName()`
    `int` | `hashCode()`
    `void` | `setCount(long count)`
    `void` | `setFileDescription(java.lang.String fileDescription)`
    `void` | `setFileName(java.lang.String fileName)`
    `void` | `setFileSize(java.lang.Long fileSize)`
    `void` | `setFileVersion(java.lang.String fileVersion)`
    `void` | `setInstallPath(java.lang.String installPath)`
    `void` | `setProductName(java.lang.String productName)`
    `void` | `setProductVersion(java.lang.String productVersion)`
    `void` | `setVendorName(java.lang.String vendorName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationDetail

          public ApplicationDetail()

  - ### Method Detail

    - #### getFileSize

          public java.lang.Long getFileSize()

      Returns:
        the file size in byte

    - #### setFileSize

          public void setFileSize(java.lang.Long fileSize)

      Parameters:
        `file` - size to set

    - #### getCount

          public long getCount()

      Returns:
        the count

    - #### setCount

          public void setCount(long count)

      Parameters:
        `count` - the count to set

    - #### getFileName

          public java.lang.String getFileName()

      Returns:
        the fileName

    - #### setFileName

          public void setFileName(java.lang.String fileName)

      Parameters:
        `fileName` - the fileName to set

    - #### getInstallPath

          public java.lang.String getInstallPath()

      Returns:
        the installPath

    - #### setInstallPath

          public void setInstallPath(java.lang.String installPath)

      Parameters:
        `installPath` - the installPath to set

    - #### getVendorName

          public java.lang.String getVendorName()

      Returns:
        the vendorName

    - #### setVendorName

          public void setVendorName(java.lang.String vendorName)

      Parameters:
        `vendorName` - the vendorName to set

    - #### getProductName

          public java.lang.String getProductName()

      Returns:
        the productName

    - #### setProductName

          public void setProductName(java.lang.String productName)

      Parameters:
        `productName` - the productName to set

    - #### getProductVersion

          public java.lang.String getProductVersion()

      Returns:
        the productVersion

    - #### setProductVersion

          public void setProductVersion(java.lang.String productVersion)

      Parameters:
        `productVersion` - the productVersion to set

    - #### getFileVersion

          public java.lang.String getFileVersion()

      Returns:
        the fileVersion

    - #### setFileVersion

          public void setFileVersion(java.lang.String fileVersion)

      Parameters:
        `fileVersion` - the fileVersion to set

    - #### getFileDescription

          public java.lang.String getFileDescription()

      Returns:
        the fileDescription

    - #### setFileDescription

          public void setFileDescription(java.lang.String fileDescription)

      Parameters:
        `fileDescription` - the fileDescription to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(ApplicationDetail o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ApplicationDetail>`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.